#### Previous topic

scipy.stats.mstats.hdmedian

#### Next topic

scipy.stats.mstats.hdquantiles_sd

# scipy.stats.mstats.hdquantiles

`scipy.stats.mstats.``hdquantiles`(data, prob=[0.25, 0.5, 0.75], axis=None, var=False)

  Computes quantile estimates with the Harrell-Davis method.

  The quantile estimates are calculated as a weighted linear combination of order statistics.

  Parameters:

  data : array_like

  > Data array.

  prob : sequence, optional

  > Sequence of quantiles to compute.

  axis : int or None, optional

  > Axis along which to compute the quantiles. If None, use a flattened array.

  var : bool, optional

  > Whether to return the variance of the estimate.

  Returns:

  hdquantiles : MaskedArray

  > A (p,) array of quantiles (if var is False), or a (2,p) array of quantiles and variances (if var is True), where `p` is the number of quantiles.